# Interface FunctionExternalTypeGeneral

Type of an external function pointer (general ABI type)

#### Category

Function types

#### Hierarchy

- FunctionExternalTypeGeneral

- Defined in codec/lib/format/types.ts:329

#####
Index

### Properties

kind
typeClass
typeHint?
visibility

## Properties

### kind

kind: "general"

- Defined in codec/lib/format/types.ts:332

### typeClass

typeClass: "function"

- Defined in codec/lib/format/types.ts:330

### `Optional` typeHint

typeHint?: string

- Defined in codec/lib/format/types.ts:334

### visibility

visibility: "external"

- Defined in codec/lib/format/types.ts:331

Generated using TypeDoc